### Method

# Secret Value get_text

#### Declaration [src]

    const gchar*
    secret_value_get_text (
      SecretValue* value
    )

#### Description [src]

Get the secret data in the `SecretValue` if it contains a textual value.

The content type must be `text/plain`.

#### Return value

Type: `const gchar*`

The content type.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.